summaryrefslogtreecommitdiff
path: root/configure.sh
diff options
context:
space:
mode:
authorMathias Hasselmann <mathias.hasselmann@kdab.com>2013-11-01 09:54:34 +0100
committerMathias Hasselmann <mathias.hasselmann@kdab.com>2013-11-01 09:54:34 +0100
commit95ebba5e0edd06d38d102665e218bf4a4816bc51 (patch)
tree7bf1e8173537d8b2b824db0a23bc5a446706f0b7 /configure.sh
parent2b291759186876e189de36d4404b40f7b696e013 (diff)
Rearrange file and make QML registration work
Diffstat (limited to 'configure.sh')
-rwxr-xr-xconfigure.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/configure.sh b/configure.sh
new file mode 100755
index 0000000..db4dc27
--- /dev/null
+++ b/configure.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+tmpfile=.qmake.cache.$$
+trap "rm -f $tmpfile" EXIT
+
+cat > $tmpfile << EOF
+TOP_OUTDIR = \$\$quote(`pwd`)
+TOP_SRCDIR = \$\$quote(`dirname "$0"`)
+EOF
+
+cmp -s $tmpfile .qmake.cache || mv $tmpfile .qmake.cache
+